package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RequirementApi;
import com.lightinit.hsdataplatform.entity.RequirementApiExample;
import com.lightinit.hsdataplatform.entity.RequirementApiWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RequirementApiMapper {
    long countByExample(RequirementApiExample example);

    int deleteByExample(RequirementApiExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementApiWithBLOBs record);

    int insertSelective(RequirementApiWithBLOBs record);

    List<RequirementApiWithBLOBs> selectByExampleWithBLOBs(RequirementApiExample example);

    List<RequirementApi> selectByExample(RequirementApiExample example);

    RequirementApiWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementApiWithBLOBs record, @Param("example") RequirementApiExample example);

    int updateByExampleWithBLOBs(@Param("record") RequirementApiWithBLOBs record, @Param("example") RequirementApiExample example);

    int updateByExample(@Param("record") RequirementApi record, @Param("example") RequirementApiExample example);

    int updateByPrimaryKeySelective(RequirementApiWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(RequirementApiWithBLOBs record);

    int updateByPrimaryKey(RequirementApi record);

}